import React from 'react';
import Page from '@/layouts/index';
import { View, Image } from '@tarojs/components';
import headportrait from '@/assets/icons/headportrait.png';
import peopleicon from '@/assets/icons/peopleicon.png';
import smallbell from '@/assets/icons/smallbell.png';
import { Card } from '@antmjs/vantui';
import Taro from '@tarojs/taro';
import './index.less';

export default (props) => {
  const onClick = () => {
    Taro.navigateTo({
      url: `/pages/my/edit/index`
    })
  }

  return (
    <Page tabBar="mine">
      <View className="wrapper-header">
        <View className="wrapper-header-circle">
          <View className="wrapper-header-circle2" />
        </View>
        <View className="wrapper-header-box">
          <Image className="wrapper-header-img" src={headportrait} />
        </View>
        <View className="wrapper-header-box2">
          <View className="wrapper-header-text">昵称:Tomorrow</View>
        </View>
      </View>

      <View className="wrapper-middle">
        <View className="wrapper-middle-box">
          <Image className="wrapper-middle-img" src={peopleicon} />
          <View className="wrapper-middle-text">所在部门</View>
          <View className="wrapper-middle-text2">县文明办</View>
        </View>
        <View className="wrapper-middle-box" onClick={onClick}>
          <Image className="wrapper-middle-img" src={smallbell} />
          <View className="wrapper-middle-text3">消息通知</View>
        </View>
      </View>
    </Page>
  )
}